Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234858 (perl-User-Identity) - Review Request: perl-User-Identity - Maintains info about a physical person
Summary: Review Request: perl-User-Identity - Maintains info about a physical person
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-User-Identity
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: Geography-Countries
Blocks: perl-Mail-Box
TreeView+ depends on / blocked
 
Reported: 2007-04-02 17:00 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 14:05:33 UTC
cweyl: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-04-02 17:00:05 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/perl-User-Identity.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-User-Identity-0.91-1.src.rpm
Description: 
A modules designed to store and maintain a set of informational objects which
are related to one user.

Note: BuildRequires: perl-Geography-Countries (234587)

Comment 1 Chris Weyl 2007-04-02 17:16:37 UTC
Sanity check:  should this bug really be blocked by bug 234587: "VFS: Busy
inodes at umount on NFSv4 filesystem"?

Comment 2 Tom "spot" Callaway 2007-04-02 17:23:01 UTC
Not really. Thanks for the catch. :)

Comment 3 Chris Weyl 2007-04-04 15:19:17 UTC
+ source files match upstream:
 d5929be62a99b90f60b07062ab86a2ec  User-Identity-0.91.tar.gz
 d5929be62a99b90f60b07062ab86a2ec  ../User-Identity-0.91.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ no debuginfo package -- noarch
+ rpmlint is silent.
+ final provides and requires are sane:
** perl-User-Identity-0.91-1.fc6.noarch.rpm
== rpmlint
== provides
perl(Mail::Identity) = 0.91
perl(User::Identity) = 0.91
perl(User::Identity::Archive) = 0.91
perl(User::Identity::Archive::Plain) = 0.91
perl(User::Identity::Collection) = 0.91
perl(User::Identity::Collection::Emails) = 0.91
perl(User::Identity::Collection::Locations) = 0.91
perl(User::Identity::Collection::Systems) = 0.91
perl(User::Identity::Collection::Users) = 0.91
perl(User::Identity::Item) = 0.91
perl(User::Identity::Location) = 0.91
perl(User::Identity::System) = 0.91
perl-User-Identity = 0.91-1.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)  
perl(Carp)  
perl(List::Util)  
perl(Mail::Identity)  
perl(Scalar::Util)  
perl(User::Identity)  
perl(User::Identity::Location)  
perl(User::Identity::System)  
perl(base)  
perl(overload)  
perl(strict)  
perl(vars)  
perl(warnings) 
+ %check is present and all tests pass:
All tests successful.
Files=3, Tests=114,  0 wallclock secs ( 0.19 cusr +  0.06 csys =  0.25 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

APPROVED

Comment 4 Tom "spot" Callaway 2007-04-04 22:02:28 UTC
New Package CVS Request
=======================
Package Name: perl-User-Identity
Short Description: Maintains info about a physical person
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 5 Jens Petersen 2007-04-06 06:35:40 UTC
done

Comment 6 Tom "spot" Callaway 2007-04-09 14:05:33 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.